commit:     c14ae7a3c5abf973668e2a433a55f15826e2f254
Author:     Nicolas PARLANT <nicolas.parlant <AT> parhuet <DOT> fr>
AuthorDate: Wed Sep 17 11:31:09 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri Sep 19 14:00:46 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c14ae7a3

dev-util/xxdiff: add 5.1_p20250320

drop py3.10
fix c23/musl removing bundled getopt

Closes: https://bugs.gentoo.org/895848
Closes: https://bugs.gentoo.org/944133
Signed-off-by: Nicolas PARLANT <nicolas.parlant <AT> parhuet.fr>
Part-of: https://github.com/gentoo/gentoo/pull/43850
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/xxdiff/Manifest                    |  1 +
 dev-util/xxdiff/xxdiff-5.1_p20250320.ebuild | 82 +++++++++++++++++++++++++++++
 2 files changed, 83 insertions(+)

diff --git a/dev-util/xxdiff/Manifest b/dev-util/xxdiff/Manifest
index 45ff6d7f67e1..1c46f6815b51 100644
--- a/dev-util/xxdiff/Manifest
+++ b/dev-util/xxdiff/Manifest
@@ -1 +1,2 @@
 DIST xxdiff-5.1_p20241118.tar.gz 2057170 BLAKE2B 
f4d4baff11482a161e74b7722222e5653fe0f9a8be006469e50dff818c59b1bb64811e0cc73e07c4d6a4601dc323604b31ec48ebc250f3061340281044f8f874
 SHA512 
6518fcc0bd568783f4c3929e9bd1f484372267714046da671a328ab5206d04551123d8d9d26c64ff20187fe383e44b6f18943212204ceb9d0cc164fcec0a995b
+DIST xxdiff-5.1_p20250320.tar.gz 2057252 BLAKE2B 
c70f6c2d1139d97d5e96902ee61cb3cb94379043ddc6b946668b3fc74b5901f11ef3894a40dfda3eee04481e75f00aae6034cbe4a656379e6119e6ad3446a758
 SHA512 
6c9ac0993dbcb3a2572bedc9f027ab5a47d2a1067f05285190921bf3af2cf2e905d4abb4b8989bc6c2a39cf4bb54dc5d645f4deb9f2d1d468498ca44b5335164

diff --git a/dev-util/xxdiff/xxdiff-5.1_p20250320.ebuild 
b/dev-util/xxdiff/xxdiff-5.1_p20250320.ebuild
new file mode 100644
index 000000000000..d5a7df6d9d2f
--- /dev/null
+++ b/dev-util/xxdiff/xxdiff-5.1_p20250320.ebuild
@@ -0,0 +1,82 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_OPTIONAL=1
+DISTUTILS_SINGLE_IMPL=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{11..13} )
+
+inherit distutils-r1 qmake-utils
+
+DESCRIPTION="Graphical file and directories comparator and merge tool"
+HOMEPAGE="https://furius.ca/xxdiff/ https://github.com/blais/xxdiff";
+COMMIT="a5593c1c675fb79d0ec2b6e353abba1fb0179aa7"
+SRC_URI="https://github.com/blais/xxdiff/archive/${COMMIT}.tar.gz -> 
${P}.tar.gz"
+S="${WORKDIR}/${PN}-${COMMIT}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="scripts"
+REQUIRED_USE="scripts? ( ${PYTHON_REQUIRED_USE} )"
+
+RDEPEND="
+       dev-qt/qtbase:6[gui,widgets]
+       scripts? ( ${PYTHON_DEPS} )
+"
+DEPEND="
+       ${RDEPEND}
+       app-alternatives/yacc
+"
+BDEPEND="
+       scripts? (
+               ${DISTUTILS_DEPS}
+               ${PYTHON_DEPS}
+       )
+"
+
+pkg_setup() {
+       use scripts && python-single-r1_pkg_setup
+}
+
+src_prepare() {
+       default
+
+       # don't use bundled getopt #944133
+       sed -e '/getopt.*/d' -i src/xxdiff.pro || die
+
+       use scripts && distutils-r1_src_prepare
+}
+
+src_configure() {
+       pushd src >/dev/null || die
+               # mimic src/Makefile.bootstrap
+               eqmake6
+               cat Makefile.extra >> Makefile || die
+       popd || die
+}
+
+src_compile() {
+       emake -C src MAKEDIR=.
+
+       use scripts && distutils-r1_src_compile
+}
+
+src_install() {
+       local DOCS=( CHANGES README* TODO doc/*.txt src/doc.txt tools )
+       local HTML_DOCS=( doc/*.{png,html} src/doc.html )
+
+       dobin bin/xxdiff
+       doman "${S}"/src/xxdiff.1
+
+       if use scripts; then
+               distutils-r1_src_install
+               # no port to py3
+               rm "${ED}"/usr/bin/termdiff || die
+       fi
+
+       einstalldocs
+}

Reply via email to